@charset "utf-8";
/* CSS Document */
.video-grid {
  width:stretch;
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 2rem; 
}
.video-item {
  background-color: rgba(0, 0, 0, 0.5);
  border-radius: 0rem;
  overflow: hidden;
  box-shadow: 0 0.2rem 1rem rgba(0, 0, 0, 0.05);
  transition: transform 0.3s ease, box-shadow 0.3s ease;
  cursor: pointer;
}
.video-item:hover {
  transform: translateY(-0.5rem);
  box-shadow: 0 0.5rem 1.5rem rgba(0, 0, 0, 0.1); 
}
.thumbnail {
  width: 100%;
  height: auto;
  background-color: #e0e0e0;
  display: flex;
  align-items: center;
  justify-content: center;
  color: #777;
  font-size: 1.4rem; 
  position: relative;
  overflow: hidden;
}
.thumbnail::after {
  content: "▶";
  position: absolute;
  width: 5rem; 
  height: 5rem; 
  background-color: rgba(0, 0, 0, 0.7);
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  color: white;
  font-size: 1.8rem; 
  opacity: 0;
  transition: opacity 0.3s ease;
}
.thumbnail img{
    width: stretch;
    height: stretch;
    object-fit: cover;
    aspect-ratio: 16/9;
}
.video-item:hover .thumbnail::after {
  opacity: 1;
}
.video-info {
  padding: 1.5rem; 
}
.video-title {
  font-size: 1.6rem; 
  margin-bottom: 0.5rem; 
  font-weight: 500;
  color: #ecbe67;
}
.video-duration {
  font-size: 1.2rem;
  color: #777;
}
/* 遮罩层样式 */
.overlayes {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 1);
  display: none;
  align-items: center;
  justify-content: center;
  z-index: 1000;
}
.video-player {
  width: 100%;
  max-width: 120rem; 
  background-color: #111;
  border-radius: 0.8rem; 
  overflow: hidden;
  position: relative;
  box-shadow: 0 0.5rem 3rem rgba(0, 0, 0, 0.3);
}
.player-content {
  width: 100%;
  height: 0;
  padding-bottom: 56.25%; /* 16:9 宽高比 - 百分比不需要转换 */
  position: relative;
}
.player-content iframe {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  border: none;
}
.close-btn {
  position: absolute;
  top: 1.5rem; 
  right: 1.5rem;
  width: 2.4rem; 
  height: 2.4rem; 
  background-color: rgba(0, 0, 0, 0.5);
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  color: white;
  font-size: 4rem;
  cursor: pointer;
  z-index: 1001;
  transition: background-color 0.3s ease;
}
.close-btn:hover {
  background-color: rgba(0, 0, 0, 0.8);
}
iframe{
        width: 100%;
        height: 100%;
    }
@media (max-width: 320px) {
  .video-grid {
    grid-template-columns: repeat(1, auto);
  }
  .video-player {
    width: 100%;
  }
}
/* Small Tablets */
@media (min-width: 321px) and (max-width: 767px) {
  .video-grid {
    grid-template-columns: repeat(1, auto);
  }
  .video-player {
    width: 100%;
  }
}
/* Small Desktops */
@media (min-width: 768px) and (max-width: 1096px) {
  .video-grid {
    grid-template-columns: repeat(2, auto);
  }
}